跳转到主要内容
PATCH
/
template
/
category
/
{templateCategoryId}
cURL
curl --request PATCH \
  --url https://app.teable.ai/api/template/category/%7BtemplateCategoryId%7D \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"name":"string"}'
const url = 'https://app.teable.ai/api/template/category/%7BtemplateCategoryId%7D';
const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"name":"string"}'
};

try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}
const http = require('https');

const options = {
method: 'PATCH',
hostname: 'app.teable.ai',
port: null,
path: '/api/template/category/%7BtemplateCategoryId%7D',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};

const req = http.request(options, function (res) {
const chunks = [];

res.on('data', function (chunk) {
chunks.push(chunk);
});

res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});

req.write(JSON.stringify({name: 'string'}));
req.end();
import http.client

conn = http.client.HTTPSConnection("app.teable.ai")

payload = "{\"name\":\"string\"}"

headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}

conn.request("PATCH", "/api/template/category/%7BtemplateCategoryId%7D", payload, headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))



授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

templateCategoryId
string
必填

请求体

application/json
name
string
必填

响应

201

Successfully update template category name.

最后修改于 2026年3月5日